from django.forms import ModelForm
from main.models import CustomUser

class CustomUserForm(ModelForm):
    class Meta:
        model = CustomUser
        fields = ["nama", "password", "tanggal_lahir", "nomor_hp", "email", "url_blog", "deskripsi", "no_polis_asuransi", "kode_faskes_primer"]

    
    def sanitize_phone_number(self):
        nomor_hp = self.cleaned_data['nomor_hp']
        nomor_hp = ''.join(filter(str.isdigit, nomor_hp))

        return nomor_hp